#version 300 es

precision highp float;

layout(location = 0) out vec4 F;
in vec2 v_tex_coord;

uniform sampler2D glfx_BACKGROUND;

uniform sampler2D texture_tensor;
uniform sampler2D texture_lab;
uniform sampler2D texture_tfm;
uniform sampler2D texture_tfm_horizontal;
uniform sampler2D texture_final_rgb;
uniform sampler2D texture_fdog_v;



uniform sampler2D texture_quantization;
uniform sampler2D texture_v_bilateral_iter2;
uniform sampler2D texture_v_bilateral_iter1;
uniform sampler2D texture_smaller_frame;


void main()
{
    vec2 uv = v_tex_coord;

    vec3 c = texture(texture_final_rgb, uv).xyz;
    float e = texture(texture_fdog_v, uv).x;

    F = vec4(c - e, 1.0);
}
